/*		NAVBAR		*/

.nav-link {
	color: var(--text-color-2) !important;
}

.nav-link:hover {
	text-decoration: none !important;
	color: var(--signal-color-1--dark) !important;
}

a.nav-link--active,
a.nav-link--active:hover{
	color: var(--signal-color-1) !important;
}

.nav-wrap, .navbar {
	margin: 0 auto;
	margin-bottom: calc(var(--navbar-height) + 1rem);
	min-width: 80%;
}

.fixed-top {
	left: unset; 
	right: unset;
}

.navbar {
	border-left: 1px solid var(--border-color-light);
	border-right: 1px solid var(--border-color-shadow);
	border-bottom: 1px solid var(--border-color-shadow);
	border-top: unset;
	
	border-bottom-left-radius: var(--border-radius-0);
	border-bottom-right-radius: var(--border-radius-0);
}

.navbar__icon {
	max-width: 35px;
	max-height: 30px;
}

.navbar__icon:hover {
	cursor: pointer;
}

.navbar__search-wrap {
	display: inline-block;
}

.navbar-brand {
	padding: 0 0.5rem 0 0.5rem;
	margin: unset;
}

@media screen and (max-width: 991px) {
	.nav-wrap {
		margin-bottom: 1rem;
		height: 56px;
	}
	
	.navbar {
		margin: unset;
		max-width: unset;
		border-left: unset;
		border-right: unset;
		border-top: unset;
		border-radius: unset;
		padding-right: 0.3rem;
		position: fixed;
		width: 100%;
		height: 56px;
		top: 0;
	}

	.navbar__container--stretch {
		flex: 1;
		display: flex;
		align-items: center;
	}

	.navbar__search-wrap {
		flex: 1;
		position: inherit;
		right: unset;
	}
	
	.navbar__icon {
		max-width: 40px;
		max-height: 35px;
	}
	
	#navbar-content:not(.show) {
		right: -100%;
	}
	
	#navbar-content {
		position: absolute;
		top: 56px;
		right: 0;
		height: calc(100vh - var(--navbar-height));
		overflow-y: auto;
		background: var(--bg-color--nav-mobile) !important;
		transition: right 0.2s ease-in-out, height 0.1s ease-in-out;
		
		-ms-overflow-style: none;	/* IE and Edge */
		scrollbar-width: none;		/* Firefox */
	}
	
	#navbar-content::-webkit-scrollbar {
		display: none;
	}
	
	.navbar-nav .nav-link {
		font-size: 1.8rem;
		text-align: right;
		padding: 1.5rem 3rem 1.5rem 8rem;
	}

	.navbar-nav .nav-link:hover {
		background-color: rgba(0, 0, 0, 0.2);
	}
}